| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
EventCollectionSelector::MyContextType Class Reference

`#include <src/EventSelector/EventCollectionSelector.h>`

Inheritance diagram for EventCollectionSelector::MyContextType:
[legend]
Collaboration diagram for EventCollectionSelector::MyContextType:
[legend]

## Public Member Functions
| MyContextType (NTuple::Tuple *t, NTuple::Item< IOpaqueAddress * > *i)
| MyContextType (MyContextType *ctxt=nullptr)
| MyContextType (const MyContextType &ctxt)
| ~MyContextType () override
void * | identifier () const override
void | setAddress (IOpaqueAddress *pAddr)
Public Member Functions inherited from IEvtSelector::Context
virtual | ~Context ()=default

## Public Attributes
std::string | criteria
NTuple::Tuple * | tuple
NTuple::Item< IOpaqueAddress * > * | item
IOpaqueAddress * | addressBuffer

## Detailed Description

Definition at line 44 of file EventCollectionSelector.h.

## Constructor & Destructor Documentation

## ◆ MyContextType() [1/3]

EventCollectionSelector::MyContextType::MyContextType | ( | NTuple::Tuple * | t,
|  | NTuple::Item< IOpaqueAddress * > * | i
| ) |  |
| inline

Definition at line 50 of file EventCollectionSelector.h.

50 {
51 addressBuffer = new GenericAddress();
52 addressBuffer->addRef();
53 tuple = t;
54 item = i;
55 }
GenericAddress
Generic Transient Address.
Definition: GenericAddress.h:20
EventCollectionSelector::MyContextType::tuple
NTuple::Tuple * tuple
Definition: EventCollectionSelector.h:47
EventCollectionSelector::MyContextType::item
NTuple::Item< IOpaqueAddress * > * item
Definition: EventCollectionSelector.h:48
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:49
IOpaqueAddress::addRef
virtual unsigned long addRef()=0
Add reference to object.

## ◆ MyContextType() [2/3]

EventCollectionSelector::MyContextType::MyContextType | ( | MyContextType * | ctxt = `nullptr` | ) |
| inline

Definition at line 56 of file EventCollectionSelector.h.

56 {
57 addressBuffer = new GenericAddress();
58 addressBuffer->addRef();
59 tuple = ( ctxt ) ? ctxt->tuple : nullptr;
60 item = ( ctxt ) ? ctxt->item : nullptr;
61 }
GenericAddress
Generic Transient Address.
Definition: GenericAddress.h:20
EventCollectionSelector::MyContextType::tuple
NTuple::Tuple * tuple
Definition: EventCollectionSelector.h:47
EventCollectionSelector::MyContextType::item
NTuple::Item< IOpaqueAddress * > * item
Definition: EventCollectionSelector.h:48
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:49
IOpaqueAddress::addRef
virtual unsigned long addRef()=0
Add reference to object.

## ◆ MyContextType() [3/3]

EventCollectionSelector::MyContextType::MyContextType | ( | const MyContextType & | ctxt | ) |
| inline

Definition at line 62 of file EventCollectionSelector.h.

62 : IEvtSelector::Context( ctxt ) {
63 addressBuffer = new GenericAddress();
64 addressBuffer->addRef();
65 tuple = ctxt.tuple;
66 item = ctxt.item;
67 }
IEvtSelector::Context
Definition: IEvtSelector.h:23
GenericAddress
Generic Transient Address.
Definition: GenericAddress.h:20
EventCollectionSelector::MyContextType::tuple
NTuple::Tuple * tuple
Definition: EventCollectionSelector.h:47
EventCollectionSelector::MyContextType::item
NTuple::Item< IOpaqueAddress * > * item
Definition: EventCollectionSelector.h:48
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:49
IOpaqueAddress::addRef
virtual unsigned long addRef()=0
Add reference to object.

## ◆ ~MyContextType()

EventCollectionSelector::MyContextType::~MyContextType | ( |  | ) |
| inline override

Definition at line 68 of file EventCollectionSelector.h.

68 { addressBuffer->release(); }
IOpaqueAddress::release
virtual unsigned long release()=0
release reference to object
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:49

## Member Function Documentation

## ◆ identifier()

void* EventCollectionSelector::MyContextType::identifier | ( |  | ) | const
| inline override virtual

Implements IEvtSelector::Context.

Definition at line 69 of file EventCollectionSelector.h.

69 { return (void*)addressBuffer; }
EventCollectionSelector::MyContextType::addressBuffer
IOpaqueAddress * addressBuffer
Definition: EventCollectionSelector.h:49

## ◆ setAddress()

void EventCollectionSelector::MyContextType::setAddress | ( | IOpaqueAddress * | pAddr | ) |

## Member Data Documentation

## ◆ addressBuffer

IOpaqueAddress* EventCollectionSelector::MyContextType::addressBuffer

Definition at line 49 of file EventCollectionSelector.h.

## ◆ criteria

std::string EventCollectionSelector::MyContextType::criteria

Definition at line 46 of file EventCollectionSelector.h.

## ◆ item

NTuple::Item<IOpaqueAddress*>* EventCollectionSelector::MyContextType::item

Definition at line 48 of file EventCollectionSelector.h.

## ◆ tuple

NTuple::Tuple* EventCollectionSelector::MyContextType::tuple

Definition at line 47 of file EventCollectionSelector.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/EventSelector/EventCollectionSelector.h